<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project7</name>
  <program_name>project7</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>a_window</name>
  <visible>False</visible>
  <title>wheel window</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <default_width>240</default_width>
  <default_height>200</default_height>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>main_widget</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkVBox</class>
      <name>vbox3</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkFrame</class>
	<name>frame6</name>
	<visible>False</visible>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_packer_create:tt1:GdamTurntableSkin:empty.xml</handler>
	  <last_modification_time>Sun, 16 Jan 2000 08:24:57 GMT</last_modification_time>
	</signal>
	<label_xalign>0</label_xalign>
	<shadow_type>GTK_SHADOW_NONE</shadow_type>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>Placeholder</class>
	</widget>
      </widget>

      <widget>
	<class>GtkFrame</class>
	<name>frame66</name>
	<visible>False</visible>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_packer_create:pq1:GdamProducerQueueSkin:empty.xml</handler>
	  <last_modification_time>Sun, 16 Jan 2000 08:24:57 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_packer_set_turntable_child:tt1:pq1</handler>
	  <last_modification_time>Sun, 16 Jan 2000 08:24:57 GMT</last_modification_time>
	</signal>
	<label_xalign>0</label_xalign>
	<shadow_type>GTK_SHADOW_NONE</shadow_type>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>Placeholder</class>
	</widget>
      </widget>

      <widget>
	<class>GtkFrame</class>
	<name>tt_m_wid_dark</name>
	<signal>
	  <name>drag_data_received</name>
	  <handler>gdam_packer_defer:tt1:gdam_turntable_frame_drag_data_received</handler>
	  <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
	</signal>
	<label_xalign>0</label_xalign>
	<shadow_type>GTK_SHADOW_NONE</shadow_type>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkFixed</class>
	  <name>fixed1_blue</name>
	  <height>85</height>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox1</name>
	    <x>3</x>
	    <y>1</y>
	    <width>13</width>
	    <height>11</height>
	    <tooltip>anchor this turntable; other tracks will synch to this turntable.</tooltip>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:anchored:1</handler>
	      <last_modification_time>Tue, 16 May 2000 03:16:57 GMT</last_modification_time>
	    </signal>

	    <widget>
	      <class>Custom</class>
	      <name>custom11</name>
	      <width>13</width>
	      <height>11</height>
	      <signal>
		<name>clicked</name>
		<handler>gdam_packer_defer:tt1:gdam_skin_toggle_button:anchored</handler>
		<last_modification_time>Tue, 18 Jul 2000 03:29:17 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>bluetone/minianchor_yellow_blue.xpm:bluetone/minianchor_red_blue.xpm:bluetone/minianchor_yellow_blue.xpm:bluetone/minianchor_red_blue.xpm</string1>
	      <int1>1</int1>
	      <int2>0</int2>
	      <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox16</name>
	    <x>12</x>
	    <y>44</y>
	    <width>252</width>
	    <height>8</height>
	    <tooltip>track display area; a left click seeks to an index point in beat, a right click seeks to any location in beat</tooltip>

	    <widget>
	      <class>Custom</class>
	      <name>custom16_trackdrawingarea</name>
	      <width>252</width>
	      <height>8</height>
	      <tooltip>track display area; a left click seeks to an index point in beat, a right click seeks to any location in beat</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_track_display</handler>
		<last_modification_time>Thu, 24 May 2001 03:24:13 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_track_display_create_func</creation_function>
	      <string1></string1>
	      <string2></string2>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 24 Sep 2000 23:46:09 GMT</last_modification_time>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox17_blue</name>
	    <x>6</x>
	    <y>37</y>
	    <width>263</width>
	    <height>7</height>
	    <tooltip>position in song; click/drag to change</tooltip>

	    <widget>
	      <class>Custom</class>
	      <name>custom9</name>
	      <width>263</width>
	      <height>7</height>
	      <tooltip>position in song; click/drag to change</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_packer_defer:tt1:gdam_turntable_position_adjustment</handler>
		<last_modification_time>Thu, 04 May 2000 04:27:43 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	      <string1>bluetone/htrough.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm</string1>
	      <string2>5:4:252:0:0:0:1:.1</string2>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox112</name>
	    <x>261</x>
	    <y>1</y>
	    <width>12</width>
	    <height>14</height>
	    <tooltip>tap phase</tooltip>

	    <widget>
	      <class>GtkAlignment</class>
	      <name>alignment9</name>
	      <width>12</width>
	      <height>14</height>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xscale>1</xscale>
	      <yscale>1</yscale>

	      <widget>
		<class>Custom</class>
		<name>custom16999</name>
		<width>12</width>
		<height>12</height>
		<tooltip>tap target rhythm, right-click to reset, middle- or shift-click to apply autotempo</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_tap_phase</handler>
		  <last_modification_time>Tue, 19 Feb 2002 02:16:48 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-middle-clicked</name>
		  <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_apply_autotempo</handler>
		  <last_modification_time>Sat, 18 Aug 2001 13:10:46 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-shift-clicked</name>
		  <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_apply_autotempo</handler>
		  <last_modification_time>Sat, 18 Aug 2001 13:10:46 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-right-clicked</name>
		  <handler>gdam_skin_bind_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_reset_autotempo</handler>
		  <last_modification_time>Sat, 18 Aug 2001 13:10:33 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>bluetone/target.xpm:bluetone/target.xpm:bluetone/target.xpm:bluetone/target.xpm</string1>
		<int1>0</int1>
		<int2>0</int2>
		<last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox1122</name>
	    <x>260</x>
	    <y>16</y>
	    <width>12</width>
	    <height>12</height>
	    <tooltip>tap status</tooltip>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_create_if_defined:!simple</handler>
	    </signal>

	    <widget>
	      <class>GtkAlignment</class>
	      <name>alignment98</name>
	      <width>12</width>
	      <height>12</height>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xscale>1</xscale>
	      <yscale>1</yscale>

	      <widget>
		<class>Custom</class>
		<name>custom122</name>
		<width>12</width>
		<height>12</height>
		<tooltip>tap status</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_skin_adjustment:tap_status</handler>
		  <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
		</signal>
		<creation_function>gdam_dial_create_func</creation_function>
		<string1>bluetone/tap_status_knob.xpm</string1>
		<string2>0:0:3:reset:no_mouse</string2>
		<int1>800</int1>
		<int2>4</int2>
		<last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox1123_blue</name>
	    <x>0</x>
	    <y>53</y>
	    <width>273</width>
	    <height>33</height>

	    <widget>
	      <class>GtkVBox</class>
	      <name>vbox4</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>

	      <widget>
		<class>GtkHBox</class>
		<name>hbox4</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox3_blue</name>
		  <child>
		    <padding>0</padding>
		    <expand>False</expand>
		    <fill>False</fill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>custom3</name>
		    <width>18</width>
		    <height>12</height>
		    <tooltip>import selected songs</tooltip>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:pq1:gdam_queue_import_songsel_files</handler>
		      <last_modification_time>Fri, 05 May 2000 08:55:08 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/arrow.xpm:bluetone/arrow.xpm:bluetone/arrow.xpm:bluetone/arrow.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Fri, 05 May 2000 07:32:24 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox1125</name>
		  <signal>
		    <name>drag_data_received</name>
		    <handler>gdam_packer_defer:pq1:gdam_queue_filename_drag_received</handler>
		    <last_modification_time>Sat, 15 Jun 2002 05:25:45 GMT</last_modification_time>
		  </signal>
		  <child>
		    <padding>3</padding>
		    <expand>True</expand>
		    <fill>True</fill>
		  </child>

		  <widget>
		    <class>GtkHBox</class>
		    <name>gdam_turntable_producer_box</name>
		    <signal>
		      <name>whatever</name>
		      <handler>gdam_packer_defer:tt1:gdam_turntable_producer_container</handler>
		      <last_modification_time>Wed, 03 May 2000 02:16:25 GMT</last_modification_time>
		    </signal>
		    <homogeneous>False</homogeneous>
		    <spacing>0</spacing>

		    <widget>
		      <class>Custom</class>
		      <name>custom427_smalllabel</name>
		      <width>200</width>
		      <height>13</height>
		      <signal>
			<name>whatever</name>
			<handler>gdam_packer_defer:pq1:gdam_skin_label:filename:%s</handler>
			<last_modification_time>Tue, 16 May 2000 02:34:02 GMT</last_modification_time>
		      </signal>
		      <creation_function>gtk_bounce_label_create_func</creation_function>
		      <string1></string1>
		      <int1>0</int1>
		      <int2>0</int2>
		      <last_modification_time>Tue, 16 May 2000 02:33:08 GMT</last_modification_time>
		      <child>
			<padding>2</padding>
			<expand>True</expand>
			<fill>True</fill>
		      </child>
		    </widget>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkHBox</class>
		<name>hbox3</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox1124</name>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_skin_launch_unique:GdamPacker:songsel.xml:GdamSongSelector</handler>
		    <last_modification_time>Wed, 02 Feb 2000 01:41:03 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>gdam-control-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_skin_launch:GdamPacker:songsel_palette.xml:GdamSongSelector</handler>
		    <last_modification_time>Wed, 02 Feb 2000 01:41:03 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>drag_data_get</name>
		    <handler>gdam_packer_defer:pq1:gdam_queue_drag_data_get</handler>
		    <last_modification_time>Sat, 19 Feb 2000 08:28:09 GMT</last_modification_time>
		  </signal>
		  <child>
		    <padding>0</padding>
		    <expand>False</expand>
		    <fill>False</fill>
		  </child>

		  <widget>
		    <class>GtkLabel</class>
		    <name>label4_activelabel</name>
		    <height>18</height>
		    <label>O</label>
		    <justify>GTK_JUSTIFY_CENTER</justify>
		    <wrap>False</wrap>
		    <xalign>0.5</xalign>
		    <yalign>0.5</yalign>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox1123</name>
		  <tooltip>position of song in seconds</tooltip>
		  <signal>
		    <name>drag_data_get</name>
		    <handler>gdam_packer_defer:tt1:gdam_skin_tempo_drag_source</handler>
		    <last_modification_time>Wed, 06 Oct 1999 03:27:40 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_tempo_data_drag</handler>
		    <last_modification_time>Wed, 12 Apr 2000 04:52:05 GMT</last_modification_time>
		  </signal>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>False</fill>
		  </child>

		  <widget>
		    <class>GtkLabel</class>
		    <name>bpm_label</name>
		    <signal>
		      <name>whatever</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_bpm_label</handler>
		      <last_modification_time>Wed, 06 Oct 1999 01:55:49 GMT</last_modification_time>
		    </signal>
		    <label>0.000</label>
		    <justify>GTK_JUSTIFY_LEFT</justify>
		    <wrap>False</wrap>
		    <xalign>0.5</xalign>
		    <yalign>0.5</yalign>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox18_blue</name>
		  <width>10</width>
		  <height>8</height>
		  <tooltip>click and drag to nudge the rate</tooltip>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_skin_create_if_defined:!simple</handler>
		    <last_modification_time>Sat, 26 May 2001 17:23:32 GMT</last_modification_time>
		  </signal>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>True</fill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>custom12_blue</name>
		    <tooltip>click and drag to nudge the resample rate</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>whatever</name>
		      <handler>gdam_packer_defer:tt1:gdam_turntable_nudge_rate_adjustment</handler>
		      <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
		    </signal>
		    <creation_function>gdam_dial_create_func</creation_function>
		    <string1>default/builderresampleblue.xpm</string1>
		    <string2>0.0:-4.0:4.0:reset:8</string2>
		    <int1>800</int1>
		    <int2>1</int2>
		    <last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox4_blue</name>
		  <width>73</width>
		  <height>15</height>
		  <tooltip>position in beats</tooltip>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>True</fill>
		  </child>

		  <widget>
		    <class>GtkLabel</class>
		    <name>beatnum_label</name>
		    <width>65</width>
		    <height>20</height>
		    <signal>
		      <name>whatever</name>
		      <handler>gdam_packer_defer:tt1:gdam_turntable_beatnum_label</handler>
		      <last_modification_time>Wed, 03 May 2000 04:13:05 GMT</last_modification_time>
		    </signal>
		    <label>0.00</label>
		    <justify>GTK_JUSTIFY_CENTER</justify>
		    <wrap>False</wrap>
		    <xalign>0.5</xalign>
		    <yalign>0.5</yalign>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		  </widget>
		</widget>

		<widget>
		  <class>GtkLabel</class>
		  <name>label1_inactivelabel</name>
		  <height>12</height>
		  <label>b</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		  <child>
		    <padding>0</padding>
		    <expand>False</expand>
		    <fill>False</fill>
		  </child>
		</widget>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkAlignment</class>
	    <name>alignment2</name>
	    <x>3</x>
	    <y>18</y>
	    <width>0</width>
	    <height>0</height>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xscale>1</xscale>
	    <yscale>1</yscale>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox135_allblack</name>
	      <tooltip>repeat all / one / off</tooltip>

	      <widget>
		<class>GtkVBox</class>
		<name>vbox4</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox100</name>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_skin_arg_int:repeat_mode:1:is_delta</handler>
		    <last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
		  </signal>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>True</fill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>custom_repeat_dial</name>
		    <width>13</width>
		    <height>11</height>
		    <tooltip>repeat mode</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>whatever</name>
		      <handler>gdam_packer_defer:pq1:gdam_skin_adjustment:repeat_mode</handler>
		      <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
		    </signal>
		    <creation_function>gdam_dial_create_func</creation_function>
		    <string1>bluetone/minirepeat_dial.xpm</string1>
		    <string2>0:0:3:no_mouse</string2>
		    <int1>800</int1>
		    <int2>4</int2>
		    <last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
		  </widget>
		</widget>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkTable</class>
	    <name>table1</name>
	    <x>32</x>
	    <y>0</y>
	    <width>210</width>
	    <height>35</height>
	    <rows>1</rows>
	    <columns>6</columns>
	    <homogeneous>False</homogeneous>
	    <row_spacing>0</row_spacing>
	    <column_spacing>0</column_spacing>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox11</name>
	      <tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
	      <child>
		<left_attach>0</left_attach>
		<right_attach>1</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>Custom</class>
		<name>nudgembb_button</name>
		<width>35</width>
		<height>35</height>
		<tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-2</handler>
		  <last_modification_time>Wed, 03 May 2000 04:04:39 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-shift-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-8</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-right-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-8</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-control-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-2</handler>
		  <last_modification_time>Wed, 03 May 2000 04:04:45 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-middle-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-2</handler>
		  <last_modification_time>Wed, 03 May 2000 04:04:45 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>bluetone/nudgembb.xpm:bluetone/nudgembb.xpm:bluetone/nudgembb.xpm:bluetone/nudgembb.xpm</string1>
		<int1>0</int1>
		<int2>0</int2>
		<last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox12</name>
	      <tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
	      <child>
		<left_attach>1</left_attach>
		<right_attach>2</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>Custom</class>
		<name>nudgemb_button</name>
		<width>35</width>
		<height>35</height>
		<tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-1</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-shift-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-4</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-right-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-4</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-control-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-1</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-middle-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-1</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>bluetone/nudgemb.xpm:bluetone/nudgemb.xpm:bluetone/nudgemb.xpm:bluetone/nudgemb.xpm</string1>
		<int1>0</int1>
		<int2>0</int2>
		<last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox14</name>
	      <tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
	      <child>
		<left_attach>5</left_attach>
		<right_attach>6</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>True</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>Custom</class>
		<name>nudgemff_button</name>
		<width>35</width>
		<height>35</height>
		<tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:2</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-shift-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:8</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-right-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:8</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-middle-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:2</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-control-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:2</handler>
		  <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>bluetone/nudgemff.xpm:bluetone/nudgemff.xpm:bluetone/nudgemff.xpm:bluetone/nudgemff.xpm</string1>
		<int1>0</int1>
		<int2>0</int2>
		<last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox13</name>
	      <tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
	      <child>
		<left_attach>4</left_attach>
		<right_attach>5</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>True</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>Custom</class>
		<name>custom4</name>
		<width>35</width>
		<height>35</height>
		<tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:1</handler>
		  <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-shift-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:4</handler>
		  <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-right-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:4</handler>
		  <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-control-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:1</handler>
		  <last_modification_time>Thu, 04 May 2000 01:01:02 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-middle-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:1</handler>
		  <last_modification_time>Thu, 04 May 2000 01:01:02 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>bluetone/nudgemf.xpm:bluetone/nudgemf.xpm:bluetone/nudgemf.xpm:bluetone/nudgemf.xpm</string1>
		<int1>0</int1>
		<int2>0</int2>
		<last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox10</name>
	      <tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch</tooltip>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:1</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:2</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:2</handler>
		<last_modification_time>Fri, 29 Dec 2000 02:25:25 GMT</last_modification_time>
	      </signal>
	      <child>
		<left_attach>2</left_attach>
		<right_attach>3</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>Custom</class>
		<name>play_button</name>
		<width>35</width>
		<height>35</height>
		<tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>toggled</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_toggle_button:playing</handler>
		  <last_modification_time>Fri, 29 Dec 2000 02:25:25 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>bluetone/play.xpm:bluetone/play_active.xpm:bluetone/play.xpm:bluetone/play_active.xpm</string1>
		<int1>1</int1>
		<int2>1</int2>
		<last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox9</name>
	      <tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
	      <child>
		<left_attach>3</left_attach>
		<right_attach>4</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>True</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>Custom</class>
		<name>stop_button</name>
		<width>35</width>
		<height>35</height>
		<tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:-1</handler>
		  <last_modification_time>Fri, 17 Aug 2001 19:47:08 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-right-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_turntable_seek_fb_in_time</handler>
		  <last_modification_time>Sun, 05 Dec 1999 01:39:08 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-control-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:set_first_beat:1</handler>
		  <last_modification_time>Fri, 17 Aug 2001 19:47:39 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>bluetone/stop.xpm:bluetone/stop.xpm:bluetone/stop.xpm:bluetone/stop.xpm</string1>
		<int1>0</int1>
		<int2>0</int2>
		<last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      </widget>
	    </widget>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

<widget>
  <class>GtkWindow</class>
  <name>queue window</name>
  <visible>False</visible>
  <signal>
    <name>whateve</name>
    <handler>gdam_packer_defer:pq1:gdam_queue_queue_toplevel</handler>
    <last_modification_time>Fri, 28 Jan 2000 03:38:52 GMT</last_modification_time>
  </signal>
  <title>Queued Songs</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <default_width>500</default_width>
  <default_height>200</default_height>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>vbox2</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkScrolledWindow</class>
      <name>scrolledwindow2</name>
      <hscrollbar_policy>GTK_POLICY_ALWAYS</hscrollbar_policy>
      <vscrollbar_policy>GTK_POLICY_ALWAYS</vscrollbar_policy>
      <hupdate_policy>GTK_UPDATE_CONTINUOUS</hupdate_policy>
      <vupdate_policy>GTK_UPDATE_CONTINUOUS</vupdate_policy>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkCList</class>
	<name>clist1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_clist:queued:filename</handler>
	  <last_modification_time>Sun, 06 Feb 2000 18:14:34 GMT</last_modification_time>
	</signal>
	<columns>2</columns>
	<column_widths>20,80</column_widths>
	<selection_mode>GTK_SELECTION_EXTENDED</selection_mode>
	<show_titles>False</show_titles>
	<shadow_type>GTK_SHADOW_IN</shadow_type>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label2</name>
	  <label>=&gt;</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label3</name>
	  <label>filename</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkButton</class>
	<name>button3</name>
	<tooltip>remove selected songs</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_delete_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:49:04 GMT</last_modification_time>
	</signal>
	<label>rm</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button4</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_up_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:49:46 GMT</last_modification_time>
	</signal>
	<label>up</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button5</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_down_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:50:21 GMT</last_modification_time>
	</signal>
	<label>down</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button7</name>
	<tooltip>play selected song</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_select_clicked</handler>
	  <last_modification_time>Thu, 20 Jan 2000 03:51:49 GMT</last_modification_time>
	</signal>
	<label>skip</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button8</name>
	<tooltip>add songs from playlist, directory, or gdam song database</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_source_filename</handler>
	  <last_modification_time>Tue, 16 May 2000 00:06:11 GMT</last_modification_time>
	</signal>
	<label>source...</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button6</name>
	<tooltip>refresh song list (shouldn't be needed)</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_refresh_clicked</handler>
	  <last_modification_time>Thu, 20 Jan 2000 03:49:54 GMT</last_modification_time>
	</signal>
	<label>O</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
